Bug 1091740

Summary: yum stack-traces and interrups
Product: Red Hat Enterprise Linux 7 Reporter: Harald Reindl <h.reindl>
Component: yumAssignee: James Antill <james.antill>
Status: CLOSED DUPLICATE QA Contact: BaseOS QE Security Team <qe-baseos-security>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 7.1CC: james.antill, jzeleny, tis, vmukhame, wasfv
Target Milestone: rc   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-18 09:54:31 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Harald Reindl 2014-04-27 16:53:57 UTC
after upgrade our testing-environment from RHEL7 Beta1 to RHEL7 RC i face the errors below sometimes calling "yum upgrade" - the final message is "Wird nach Abbruch durch den Benutzer beendet" in german which is the same like say "no" to the offered updates - well, nobody pressed any key

[root@hosting:~]$ yum upgrade
Geladene Plugins: protectbase, tsflags
epel/x86_64/metalink                                                                                                                                                                        |  19 kB  00:00:00     
epel                                                                                                                                                                                        | 3.7 kB  00:00:00     
rhel-server                                                                                                                                                                                 | 4.1 kB  00:00:00     
rhel-server-optional                                                                                                                                                                        | 3.8 kB  00:00:00     
(1/6): epel/x86_64/group_gz                                                                                                                                                                 | 250 kB  00:00:00     
Traceback (most recent call last):                                                         10% [========-                                                                        ]  0.0 B/s | 821 kB  --:--:-- ETA 
  File "/usr/libexec/urlgrabber-ext-down", line 75, in <module>
    main()
  File "/usr/libexec/urlgrabber-ext-down", line 61, in main
    fo = PyCurlFileObject(opts.url, opts.filename, opts)
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1258, in __init__
    self._do_open()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1589, in _do_open
    self._do_grab()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1723, in _do_grab
    self._do_perform()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1517, in _do_perform
    raise KeyboardInterrupt
KeyboardInterrupt
Traceback (most recent call last):
  File "/usr/libexec/urlgrabber-ext-down", line 75, in <module>
    main()
  File "/usr/libexec/urlgrabber-ext-down", line 61, in main
    fo = PyCurlFileObject(opts.url, opts.filename, opts)
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1258, in __init__
    self._do_open()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1589, in _do_open
    self._do_grab()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1723, in _do_grab
    self._do_perform()
  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1517, in _do_perform
    raise KeyboardInterrupt
KeyboardInterrupt

Comment 2 Morris 2014-05-04 14:17:21 UTC
it happened to me that i run
`yum clean all'.

rpm version:
rpm-4.11.1-16.el7.x86_64
yum version:
yum-3.4.3-117.el7.noarch

hope it may be helpful.

Comment 3 Morris 2014-05-04 14:18:29 UTC
(In reply to Morris from comment #2)
> it happened to me that i run
> `yum clean all'.
after running
`yum clean all'

Comment 4 Harald Reindl 2014-05-04 15:22:16 UTC
a "yum clean metadata && yum upgrade" can reproduce that here nearly everytime and the "yum upgrade" after works fine

Comment 5 Morris 2014-05-05 00:39:54 UTC
it works fine for me after a reboot.

Comment 6 Valentina Mukhamedzhanova 2014-08-18 09:54:31 UTC
Hello, thank you for the report. I believe the root cause of this problem is the same as in bug 1099101.

*** This bug has been marked as a duplicate of bug 1099101 ***